{% extends "slow_forum/base_content.html"%}
{% load i18n tz slow_forms %}

{% block page_title %}{% translate "Edit user profile" %}{% endblock %}

{% block breadcrumb %}
    <li class="breadcrumb-item">
        <a href="{% url 'slow_forum:user-profile-list' %}">{% translate "User profiles" %}</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ userprofile.get_absolute_url }}">{{ object.nickname|escape }}</a>
    </li>
{% endblock %}

{% block content_title %}{% translate "Edit user profile" %}{% endblock %}

{% block content %}
    <div class="row">
        <form method="post" class="w-50">
            {% csrf_token %}
            {% bootstrap_form form %}

            {% for formset in inlines %}

                <fieldset>
                    <legend>
                        {% translate "External Links" %}
                    </legend>
                    {{ formset.management_form }}
                    {% for in_form in formset %}
                        {% bootstrap_form_grouped_fields in_form %}
                    {% endfor %}
                </fieldset>

            {% endfor %}
            
            <input type="submit" class="btn btn-primary" value="{% translate "Save profile" %}" />
            <a class="btn btn-secondary" href="{{ userprofile.get_absolute_url }}">{% translate "Cancel" %}</a>
        </form>
    </div>
{% endblock %}
